Bug 191667 - Review Request: poker-engine - Python library that implements poker rules
Review Request: poker-engine - Python library that implements poker rules
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-14 16:49 EDT by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-02 14:45:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-05-14 16:49:22 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/poker-engine.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/poker-engine-1.0.14-2.src.rpm

*** NOTE *** You may have to download the src.rpm from http://tkmame.retrogames.com/fedora-extras/

Description:

This is a python library that implements poker rules according
to variants and betting structures specified in configuration files.
It designed to be used by a multiplayer poker server, a poker AI or a
poker client.
Comment 1 Christopher Stone 2006-05-15 20:23:06 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/poker-engine.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/poker-engine-1.0.14-3.src.rpm

*** NOTE *** You may have to download the src.rpm from
http://tkmame.retrogames.com/fedora-extras/

%changelog
* Mon May 15 2006 Christopher Stone <chris.stone@gmail.com> - 1.0.14-3
- Add Requires pypoker-eval-devel to devel package
Comment 2 Wart 2006-05-26 16:11:52 EDT
MUST
====
* rpmlint output:
  W: poker-engine-devel no-documentation
  This can be ignored since upstream doesn't provide developer documentation
* Package and spec named appropriately
* GPL license ok, license file included
* Source matches upstream
  23186d64a0ca1bcd22341355d6debc56  poker-engine-1.0.14.tar.gz
* Spec file legible and in Am. English
* No excessive BR: (though BR: rsync looks silly)
* No Locales
* No shared libs, headers, or libtool archives
* pkgconfig file in -devel apckage
* Not relocatable
* No .desktop file needed
* %{buildroot} cleaned where it ought to be
* No duplicate %files
* Builds in mock on FC4, FC5, and devel

SHOULD
======
* Patch the configure script instead of running autoreconf in %prep

QUESTIONS
=========
* What's the difference between the xml files in /usr/share and /etc?

MUSTFIX
=======
* Missing Requires: rsync (for pokerconfigupgrade)
Comment 3 Christopher Stone 2006-05-30 16:03:52 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/poker-engine.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/poker-engine-1.0.15-1.src.rpm

%changelog
* Tue May 30 2006 Christopher Stone <chris.stone@gmail.com> - 1.0.15-1
- Upstream sync
- Add rsync to Requires
- Remove patches and autoreconf since these have been fixed in new release

I've updated this to the 1.0.15 release which no longer requires the patches to
be installed and no longer requires the autoreconf.  I also added rsync to the
Requires.  Thanks for the review!
Comment 4 Christopher Stone 2006-05-30 16:05:22 EDT
Oh, and the xml files in /usr/share are supposed to be "reference" files while
the ones in /etc are editable.
Comment 5 Wart 2006-05-30 19:13:57 EDT
* Source still matches upstream.  new md5sum:
  5b51616881d0ee10354b0f5f573a52d1  poker-engine-1.0.15.tar.gz
* rpmlint output unchanged from before
* Still builds in mock on FC4, FC5 (devel not retested)

APPROVED

Note You need to log in before you can comment on or make changes to this bug.